com.dolphindb.jdbc

## Class Utils

- java.lang.Object
- - com.dolphindb.jdbc.Utils

    public class Utils
    extends Object

### Field Summary

Fields
`static Pattern` `ASSIGN_PATTERN`
`static Pattern` `DELETE_PATTERN`
`static int` `DML_DELETE`
`static int` `DML_INSERT`
`static int` `DML_OTHER`
`static int` `DML_SELECT`
`static int` `DML_UPDATE`
`static Pattern` `INSERT_PATTERN`
`static Pattern` `UPDATE_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `dbVectorString(String s)`
`static int` `getDml(String sql)`
`static String[]` `getProperties(Properties prop, String[] keys)`
`static String` `getRandomString(int length)`
`static String` `getTableName(String sql)`
`static boolean` `isUpdateable(String s)`
`static Object` `java2db(Object o)`
`static void` `joinOrder(StringBuilder sb, String[] values, String join)`
`static void` `parseProperties(String s, Properties prop, String split1, String split2)`
`static com.xxdb.data.BasicTable` `Vevtor2Table(com.xxdb.data.Vector vector, String sql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DML_OTHER

    public static final int DML_OTHER

See Also:
  Constant Field Values

#### DML_SELECT

    public static final int DML_SELECT

See Also:
  Constant Field Values

#### DML_INSERT

    public static final int DML_INSERT

See Also:
  Constant Field Values

#### DML_UPDATE

    public static final int DML_UPDATE

See Also:
  Constant Field Values

#### DML_DELETE

    public static final int DML_DELETE

See Also:
  Constant Field Values

#### INSERT_PATTERN

    public static final Pattern INSERT_PATTERN

#### DELETE_PATTERN

    public static final Pattern DELETE_PATTERN

#### UPDATE_PATTERN

    public static final Pattern UPDATE_PATTERN

#### ASSIGN_PATTERN

    public static final Pattern ASSIGN_PATTERN

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### java2db

    public static Object java2db(Object o)

#### dbVectorString

    public static String dbVectorString(String s)

#### joinOrder

    public static void joinOrder(StringBuilder sb,
                                 String[] values,
                                 String join)

#### parseProperties

    public static void parseProperties(String s,
                                       Properties prop,
                                       String split1,
                                       String split2)
                                throws SQLException

Throws:
  `SQLException`

#### getProperties

    public static String[] getProperties(Properties prop,
                                         String[] keys)

#### getDml

    public static int getDml(String sql)

#### getTableName

    public static String getTableName(String sql)
                               throws SQLException

Throws:
  `SQLException`

#### isUpdateable

    public static boolean isUpdateable(String s)

#### getRandomString

    public static String getRandomString(int length)

#### Vevtor2Table

    public static com.xxdb.data.BasicTable Vevtor2Table(com.xxdb.data.Vector vector,
                                                        String sql)